Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		plymouth
#Epoch:		0
Version:	0.8.3
Release:	1
License:	GNU/GPLv2	
URL:		http://www.freedesktop.org/wiki/Software/Plymouth
Group:		System/Base
Summary:	next generation bootsplash application
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel
BuildRequires:  qt4-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libdrm-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: pango
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
Plymouth is an application that runs very early in the boot process (even before the root filesystem is mounted!) that provides a graphical boot animation while the boot process happens in the background.

It is designed to work on systems with DRM modesetting drivers. The idea is that early on in the boot process the native mode for the computer is set, plymouth uses that mode, and that mode stays throughout the entire boot process up to and after X starts. Ideally, the goal is to get rid of all flicker during startup.

For systems that don't have DRM mode settings drivers, plymouth falls back to text mode.

In either text or graphics mode, the boot messages are completely occluded. After the root file system is mounted read-write, the messages are dumped to /var/log/boot.log. Also, the user can see the messages at any time during boot up by hitting the escape key. 


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
#./autogen.sh
./configure \
--prefix=%_prefix \
--sysconfdir=%{_sysconfdir} \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
/bin/plymouth
/lib/libply.so.*
/lib/libply-splash-core.so.*
/sbin/plymouthd
%{_bindir}/plymouth-log-viewer
%{_bindir}/rhgb-client
%{_sbindir}/plymouth-set-default-theme
%{_sysconfdir}/plymouth/plymouthd.conf
%{_libdir}exec/plymouth/plymouth-generate-initrd
%{_libdir}exec/plymouth/plymouth-populate-initrd
%{_libdir}exec/plymouth/plymouth-update-initrd
%{_libdir}/libply-boot-client.so.*
%{_libdir}/libply-splash-graphics.so.*
%{_libdir}/plymouth
%{_datadir}/plymouth/bizcom.png
%{_datadir}/plymouth/plymouthd.defaults
%{_datadir}/plymouth/themes/details
%{_datadir}/plymouth/themes/fade-in
%{_datadir}/plymouth/themes/glow
%{_datadir}/plymouth/themes/script
%{_datadir}/plymouth/themes/solar
%{_datadir}/plymouth/themes/spinfinity
%{_datadir}/plymouth/themes/text
%{_mandir}/man8/plymouth.8.gz
%{_datadir}/gdm/autostart/LoginWindow/plymouth-log-viewer.desktop

%files devel
%defattr(-,root,root)
/lib/libply.a
/lib/libply.la
/lib/libply.so
/lib/libply-splash-core.a
/lib/libply-splash-core.la
/lib/libply-splash-core.so
%{_includedir}/plymouth-1
%{_libdir}/libply-boot-client.a
%{_libdir}/libply-boot-client.la
%{_libdir}/libply-boot-client.so
%{_libdir}/libply-splash-graphics.a
%{_libdir}/libply-splash-graphics.la
%{_libdir}/libply-splash-graphics.so
%{_pkgconfig}/ply-boot-client.pc
%{_pkgconfig}/ply-splash-core.pc
%{_pkgconfig}/ply-splash-graphics.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Oct 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.8.3-1
- version update
* Mon Mar 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.8.1-1
- initial CCux package release
